jif.types

## Interface JifPolyType

- All Superinterfaces:
    polyglot.types.ClassType, java.lang.Cloneable, polyglot.util.Copy<polyglot.types.TypeObject>, polyglot.types.Declaration, polyglot.types.Importable, polyglot.ext.param.types.InstType<ParamInstance,Param>, JifClassType, polyglot.types.MemberInstance, polyglot.types.Named, polyglot.types.Qualifier, polyglot.types.ReferenceType, java.io.Serializable, polyglot.types.Type, polyglot.types.TypeObject
  All Known Subinterfaces:
    JifParsedPolyType
  All Known Implementing Classes:
    JifParsedPolyType_c

      public interface JifPolyType
      extends JifClassType, polyglot.ext.param.types.InstType<ParamInstance,Param>

  Jif polymorphic type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.types.ClassType

      `polyglot.types.ClassType.Kind`

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from interface polyglot.types.ClassType

      `ANONYMOUS, LOCAL, MEMBER, TOP_LEVEL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ParamInstance>` | `params()` Declared parameters of the class.

    - ### Methods inherited from interface jif.types.JifClassType

      `actuals, authority, constraints, constructorCallAuthority, isUnsafe, provider, thisLabel, thisLabel, typeSystem`

    - ### Methods inherited from interface polyglot.types.ClassType

      `constructors, fieldNamed, hasEnclosingInstance, hasEnclosingInstanceImpl, inStaticContext, isAnonymous, isEnclosed, isEnclosedImpl, isInner, isInnerClass, isLocal, isMember, isNested, isTopLevel, kind, memberClasses, memberClassNamed, outer, resolver`

    - ### Methods inherited from interface polyglot.types.Importable

      `package_`

    - ### Methods inherited from interface polyglot.types.Named

      `fullName, name`

    - ### Methods inherited from interface polyglot.types.ReferenceType

      `fields, hasMethod, hasMethodImpl, interfaces, members, methods, methods, methodsNamed, superType`

    - ### Methods inherited from interface polyglot.types.Type

      `arrayOf, arrayOf, descendsFrom, descendsFromImpl, isArray, isBoolean, isByte, isCastValid, isCastValidImpl, isChar, isClass, isComparable, isDouble, isFloat, isImplicitCastValid, isImplicitCastValidImpl, isInt, isIntOrLess, isLong, isLongOrLess, isNull, isNumeric, isPrimitive, isReference, isShort, isSubtype, isSubtypeImpl, isThrowable, isUncheckedException, isVoid, numericConversionValid, numericConversionValid, numericConversionValidImpl, numericConversionValidImpl, print, toArray, toClass, toNull, toPrimitive, toReference, toString, translate, typeEquals, typeEqualsImpl`

    - ### Methods inherited from interface polyglot.types.Qualifier

      `isPackage, isType, toPackage, toType`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `equalsImpl, isCanonical, position`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

    - ### Methods inherited from interface polyglot.types.MemberInstance

      `container, flags, setContainer, setFlags`

    - ### Methods inherited from interface polyglot.types.Declaration

      `declaration, setDeclaration`

    - ### Methods inherited from interface polyglot.ext.param.types.InstType

      `actuals, instantiatedFrom`

- - ### Method Detail

    - #### params

          java.util.List<ParamInstance> params()

      Declared parameters of the class. Returns a list of `ParamInstance`s.
      See Also:
        `ParamInstance`